/* AMX Mod X
*   Get Some Health On Attack
*
* (c) Copyright 2007 by VEN
*
* This file is provided as is (no warranties)
*/

#include <amxmodx>
#include <fakemeta>

// plugin's main information
#define PLUGIN_NAME "Get Some Health On Attack"
#define PLUGIN_VERSION "0.1"
#define PLUGIN_AUTHOR "VEN"

//#define SUPPORT_FF
#define MAX_HEALTH 100.0
#define HP_BONUS_PERCENTS 50.0

public plugin_init() {
	register_plugin(PLUGIN_NAME, PLUGIN_VERSION, PLUGIN_AUTHOR)
	register_event("Damage", "event_damage", "b", "2!0")
}

public event_damage(victim) {
	new id = get_user_attacker(victim)
	if (!is_user_alive(id) || id == victim)
		return

#if !defined SUPPORT_FF
	if (get_user_team(id) == get_user_team(victim))
		return
#endif

	new Float:health
	pev(id, pev_health, health)
	health += float(read_data(2)) * HP_BONUS_PERCENTS / 100.0

	if (health > MAX_HEALTH)
		health = MAX_HEALTH

	set_pev(id, pev_health, health)
}
